Subject: Re: bug#7626: mm-charset-override-alist

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Jan 2011 21:12:44 -0500

> From: Kenichi Handa <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Thu, 20 Jan 2011 11:05:42 +0900
> 
> > After decoding each header, if rmail-mime-coding-system is
> > nil, set it to a cons (CODING-SYSTEM . nil).
> 
> > After decoding each body, if rmail-mime-coding-system is nil
> > or a cons, set it to CODING-SYSTEM.

What is CODING-SYSTEM here?

> > After decoding a whole message, if rmail-mime-coding-system
> > is a cons (i.e. only a header part is decoded), re-decode
> > the header while binding mm-charset-override-alist to nil,
> > and set rmail-mime-coding-system to last-coding-system-used.
> 
> > Set buffer-file-coding-system to rmail-mime-coding-system.
> 
> Have you tried it?

Not yet.  I'm traveling, and I'm using the 23.2.91 pretest at the
moment, where the above doesn't exist.  I will try this as soon as I
can.  Thanks.